// pages/connect-wifi/connect-wifi.js
Page({
  /**
   * 页面的初始数据
   */
  data: {
    wifiInfo: {
      SSID: 'test',
      password: 'test'
    },
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    try {
      const scene = decodeURIComponent(options.scene);
      this.data.wifiInfo = JSON.parse(scene)
    } catch (e) {
      console.log(e)
    }
    this.connectWifi(this.data.wifiInfo)
  },

  connectWifi(wifiInfo) {
    wx.connectWifi({
      ...wifiInfo,
      manual: true,
      success: () => {
        wx.navigateTo({
          url: '/pages/success/success',
        })
      },
      fail: (err)=> {}
    })
  },
})